Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class StringIndexOutOfBoundsException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.IndexOutOfBoundsException
                              |
                              +--java.lang.StringIndexOutOfBoundsException

All Implemented Interfaces:
  Serializable

public class StringIndexOutOfBoundsException
extends IndexOutOfBoundsException

Thrown by `String` methods to indicate that an index is either negative or greater than the size of the string. For some methods such as the charAt method, this exception also is thrown when the index is equal to the size of the string.

Since:
  JDK1.0
See Also:
  `String.charAt(int)`, Serialized Form

Constructor Summary
`StringIndexOutOfBoundsException()` Constructs a `StringIndexOutOfBoundsException` with no detail message.
`StringIndexOutOfBoundsException(int index)` Constructs a new `StringIndexOutOfBoundsException` class with an argument indicating the illegal index.
`StringIndexOutOfBoundsException(String s)` Constructs a `StringIndexOutOfBoundsException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringIndexOutOfBoundsException

    public StringIndexOutOfBoundsException()

  Constructs a `StringIndexOutOfBoundsException` with no detail message.

Since:
  JDK1.0.

### StringIndexOutOfBoundsException

    public StringIndexOutOfBoundsException(String s)

  Constructs a `StringIndexOutOfBoundsException` with the specified detail message.

Parameters:
  `s` - the detail message.

### StringIndexOutOfBoundsException

    public StringIndexOutOfBoundsException(int index)

  Constructs a new `StringIndexOutOfBoundsException` class with an argument indicating the illegal index.

Parameters:
  `index` - the illegal index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.